Name:           rlwrap
Version:        0.44
Release:        1%{?dist}
Summary:        Wrapper for GNU readline

License:        GPLv2+
URL:            https://github.com/hanslub42/rlwrap
Source0:        %{url}/releases/download/7c1e432/%{name}-%{version}.tar.gz
Patch0:         %{name}-gcc11.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  readline-devel
BuildRequires:  autoconf automake

%description
rlwrap is a 'readline wrapper' that uses the GNU readline library to
allow the editing of keyboard input for any other command. Input
history is remembered across invocations, separately for each command;
history completion and search work as in bash and completion word
lists can be specified on the command line.


%prep
%autosetup -p1
autoreconf


%build
%configure
%make_build


%install
%make_install


%check
make check


%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/rlwrap
%{_mandir}/*/rlwrap.*
%{_mandir}/man3/RlwrapFilter.*
%{_datadir}/rlwrap



%changelog
* Tue Jan 26 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.44-1
- Update to 0.44

* Fri Dec 04 2020 Jeff Law <law@redhat.com> - 0.43-8
- Fix out of bounds read in configure generated code caught by gcc-11

* Sun Feb  9 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.43-5
- Initial EPEL 8 build
